@import url('common.css');

body {
	display: grid;
	place-items: center;
    background-color: white;
    color: white;
    margin: 0;
    font-family: 'Roboto', 'Arial Narrow', Arial, sans-serif;
	font-weight: 300;
	font-size: 3vw;
	color: black;
}

main {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
	overflow: auto;
}

a {
    color: black;
    text-decoration: none;
}

.pikkukuva {
    width: 100%;
    height: auto;
	margin: 0;
	padding: 0;
	line-height: 0;
	display: block;
}

.pikkukuva2 {
    width: 100%;
    height: auto;
	margin: 0;
	padding: 0;
	line-height: 0;
	display: block;
}

.pikkukuva3 {
    width: 100%;
    height: auto;
	margin: 0;
	padding: 0;
	line-height: 0;
	display: block;
}

.pikkukuva4 {
    width: 100%;
    height: auto;
	margin: 0;
	padding: 0;
	line-height: 0;
	display: block;
}

.kuvalista1 {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
    gap: 20px;
	align-items: center;
	justify-content: center;
	width: 70vw;
	margin-top: 20px;
	margin-bottom: 100px;
}

.kuvalista2 {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
    gap: 20px;
	align-items: center;
	justify-content: center;
	width: 60vw;
	margin-bottom: 100px;
}

.kuvalista3 {
	display: grid;
	grid-template-columns: repeat(1, 1fr);
    gap: 20px;
	align-items: center;
	justify-content: center;
	width: 60vw;
	margin-bottom: 10px;
}

.kuvalista3a {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
    gap: 20px;
	align-items: center;
	justify-content: center;
	width: 100%;
}

.kuvalista3a1 {
	display: grid;
	grid-template-columns: repeat(1, 1fr);
    gap: 20px;
	align-items: center;
	justify-content: center;
	width: 100%;
}

.kuvalista3a2 {
	display: grid;
	grid-template-columns: repeat(1, 1fr);
    gap: 20px;
	align-items: center;
	justify-content: center;
	width: 100%;
}

.kuvalista3b {
	display: grid;
	grid-template-columns: repeat(1, 1fr);
    gap: 20px;
	align-items: center;
	justify-content: center;
	width: 70%;
}

@media (max-width: 600px) {
    .kuvalista1 {
        grid-template-columns: repeat(3, 1fr);
		width: 90vw;
    }
	.kuvalista2 {
        grid-template-columns: repeat(2, 1fr);
		width: 90vw;
    }
	.kuvalista3 {
        grid-template-columns: repeat(1, 1fr);
		width: 90vw;
    }
}